$(function(){
var chart = $("#chart").dxChart({
palette: "Violet",
dataSource: dataSource,
commonSeriesSettings: {
argumentField: "country",
type: types[0]
},
margin: {
bottom: 20
},
argumentAxis: {
valueMarginsEnabled: false,
discreteAxisDivisionMode: "crossLabels",
grid: {
visible: true
}
},
series: [
{ valueField: "hydro", name: "Hydro-electric" },
{ valueField: "oil", name: "Oil" },
{ valueField: "gas", name: "Natural gas" },
{ valueField: "coal", name: "Coal" },
{ valueField: "nuclear", name: "Nuclear" }
],
legend: {
verticalAlignment: "bottom",
horizontalAlignment: "center",
itemTextPosition: "bottom"
},
title: {
text: "Energy Consumption in 2004",
subtitle: {
text: "(Millions of Tons, Oil Equivalent)"
}
},
"export": {
enabled: true
},
tooltip: {
enabled: true
}
}).dxChart("instance");
$("#types").dxSelectBox({
dataSource: types,
value: types[0],
onValueChanged: function(e){
chart.option("commonSeriesSettings.type", e.value);
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart-demo">
<div id="chart"></div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Series Type</span>
<div id="types"></div>
</div>
</div>
</div>
</div>
</body>
</html>
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.option {
margin-top: 10px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option > span {
margin-right: 10px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
var dataSource = [{
country: "USA",
hydro: 59.8,
oil: 937.6,
gas: 582,
coal: 564.3,
nuclear: 187.9
}, {
country: "China",
hydro: 74.2,
oil: 308.6,
gas: 35.1,
coal: 956.9,
nuclear: 11.3
}, {
country: "Russia",
hydro: 40,
oil: 128.5,
gas: 361.8,
coal: 105,
nuclear: 32.4
}, {
country: "Japan",
hydro: 22.6,
oil: 241.5,
gas: 64.9,
coal: 120.8,
nuclear: 64.8
}, {
country: "India",
hydro: 19,
oil: 119.3,
gas: 28.9,
coal: 204.8,
nuclear: 3.8
}, {
country: "Germany",
hydro: 6.1,
oil: 123.6,
gas: 77.3,
coal: 85.7,
nuclear: 37.8
}];
var types = ["line", "stackedline", "fullstackedline"];

<div id="chart-demo">
<dx-chart palette="Violet" [dataSource]="countriesInfo">
<dxi-series
*ngFor="let energy of energySources"
[valueField]="energy.value"
[name]="energy.name"
>
</dxi-series>
<dxo-common-series-settings
#seriesSettings
argumentField="country"
[type]="types[0]"
>
</dxo-common-series-settings>
<dxo-margin [bottom]="20"></dxo-margin>
<dxo-argument-axis
[valueMarginsEnabled]="false"
discreteAxisDivisionMode="crossLabels"
>
<dxo-grid [visible]="true"></dxo-grid>
</dxo-argument-axis>
<dxo-legend
verticalAlignment="bottom"
horizontalAlignment="center"
itemTextPosition="bottom"
>
</dxo-legend>
<dxo-title text="Energy Consumption in 2004">
<dxo-subtitle text="(Millions of Tons, Oil Equivalent)"> </dxo-subtitle>
</dxo-title>
<dxo-export [enabled]="true"></dxo-export>
<dxo-tooltip [enabled]="true"></dxo-tooltip>
</dx-chart>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Series Type</span>
<dx-select-box [dataSource]="types" [(value)]="seriesSettings.type">
</dx-select-box>
</div>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule, DxSelectBoxModule } from 'devextreme-angular';
import { CountryInfo, EnergyDescription, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
preserveWhitespaces: true,
})
export class AppComponent {
types: string[] = ['line', 'stackedline', 'fullstackedline'];
countriesInfo: CountryInfo[];
energySources: EnergyDescription[];
constructor(service: Service) {
this.countriesInfo = service.getCountriesInfo();
this.energySources = service.getEnergySources();
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
DxSelectBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
::ng-deep .option {
margin-top: 10px;
}
::ng-deep .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option > span {
margin-right: 10px;
}
::ng-deep .option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
import { Injectable } from '@angular/core';
export class CountryInfo {
country: string;
hydro: number;
oil: number;
gas: number;
coal: number;
nuclear: number;
}
export class EnergyDescription {
value: string;
name: string;
}
const energySources: EnergyDescription[] = [
{ value: 'hydro', name: 'Hydro-electric' },
{ value: 'oil', name: 'Oil' },
{ value: 'gas', name: 'Natural gas' },
{ value: 'coal', name: 'Coal' },
{ value: 'nuclear', name: 'Nuclear' },
];
const countriesInfo: CountryInfo[] = [{
country: 'USA',
hydro: 71.2,
oil: 910.4,
gas: 483.2,
coal: 564.3,
nuclear: 216.1,
}, {
country: 'China',
hydro: 72.5,
oil: 223.6,
gas: 36,
coal: 956.9,
nuclear: 11.3,
}, {
country: 'Russia',
hydro: 47.7,
oil: 149.4,
gas: 432.3,
coal: 105,
nuclear: 29.3,
}, {
country: 'Japan',
hydro: 17.9,
oil: 283.6,
gas: 61.8,
coal: 120.8,
nuclear: 52.8,
}, {
country: 'India',
hydro: 14.4,
oil: 86.4,
gas: 25.1,
coal: 204.8,
nuclear: 3.8,
}, {
country: 'Germany',
hydro: 6.6,
oil: 101.7,
gas: 92.7,
coal: 85.7,
nuclear: 30.8,
}];
@Injectable()
export class Service {
getEnergySources(): EnergyDescription[] {
return energySources;
}
getCountriesInfo(): CountryInfo[] {
return countriesInfo;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.6/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43',
'devextreme-angular': 'npm:devextreme-angular@22.2.6',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.6/*/package.json',
'npm:devextreme-angular@22.2.6/ui/*/package.json',
'npm:devextreme-angular@22.2.6/package.json',
'npm:devexpress-diagram@2.1.72/package.json',
'npm:devexpress-gantt@4.1.43/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.13.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import SelectBox from 'devextreme-react/select-box';
import {
Chart,
Series,
ArgumentAxis,
CommonSeriesSettings,
Export,
Legend,
Margin,
Title,
Subtitle,
Tooltip,
Grid,
} from 'devextreme-react/chart';
import service from './data.js';
const countriesInfo = service.getCountriesInfo();
const energySources = service.getEnergySources();
const types = ['line', 'stackedline', 'fullstackedline'];
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
type: 'line',
};
this.handleChange = this.handleChange.bind(this);
}
render() {
return (
<React.Fragment>
<Chart
palette="Violet"
dataSource={countriesInfo}
>
<CommonSeriesSettings
argumentField="country"
type={this.state.type}
/>
{
energySources.map((item) => <Series
key={item.value}
valueField={item.value}
name={item.name} />)
}
<Margin bottom={20} />
<ArgumentAxis
valueMarginsEnabled={false}
discreteAxisDivisionMode="crossLabels"
>
<Grid visible={true} />
</ArgumentAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
itemTextPosition="bottom"
/>
<Export enabled={true} />
<Title text="Energy Consumption in 2004">
<Subtitle text="(Millions of Tons, Oil Equivalent)" />
</Title>
<Tooltip enabled={true} />
</Chart>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Series Type </span>
<SelectBox
dataSource={types}
value={this.state.type}
onValueChanged={this.handleChange}
/>
</div>
</div>
</React.Fragment>
);
}
handleChange(e) {
this.setState({ type: e.value });
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.option {
margin-top: 10px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option > span {
margin-right: 10px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
const energySources = [
{ value: 'hydro', name: 'Hydro-electric' },
{ value: 'oil', name: 'Oil' },
{ value: 'gas', name: 'Natural gas' },
{ value: 'coal', name: 'Coal' },
{ value: 'nuclear', name: 'Nuclear' },
];
const countriesInfo = [{
country: 'USA',
hydro: 59.8,
oil: 937.6,
gas: 582,
coal: 564.3,
nuclear: 187.9,
}, {
country: 'China',
hydro: 74.2,
oil: 308.6,
gas: 35.1,
coal: 956.9,
nuclear: 11.3,
}, {
country: 'Russia',
hydro: 40,
oil: 128.5,
gas: 361.8,
coal: 105,
nuclear: 32.4,
}, {
country: 'Japan',
hydro: 22.6,
oil: 241.5,
gas: 64.9,
coal: 120.8,
nuclear: 64.8,
}, {
country: 'India',
hydro: 19,
oil: 119.3,
gas: 28.9,
coal: 204.8,
nuclear: 3.8,
}, {
country: 'Germany',
hydro: 6.1,
oil: 123.6,
gas: 77.3,
coal: 85.7,
nuclear: 37.8,
}];
export default {
getEnergySources() {
return energySources;
},
getCountriesInfo() {
return countriesInfo;
},
};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme-react': 'npm:devextreme-react@21.2.7',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div id="chart-demo">
<DxChart
id="chart"
:data-source="dataSource"
palette="Violet"
>
<DxCommonSeriesSettings
:type="type"
argument-field="country"
/>
<DxSeries
v-for="energy in energySources"
:key="energy.value"
:value-field="energy.value"
:name="energy.name"
/>
<DxMargin :bottom="20"/>
<DxArgumentAxis
:value-margins-enabled="false"
discrete-axis-division-mode="crossLabels"
>
<DxGrid :visible="true"/>
</DxArgumentAxis>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
item-text-position="bottom"
/>
<DxExport :enabled="true"/>
<DxTitle text="Energy Consumption in 2004">
<DxSubtitle text="(Millions of Tons, Oil Equivalent)"/>
</DxTitle>
<DxTooltip :enabled="true"/>
</DxChart>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Series Type</span>
<DxSelectBox
:data-source="types"
v-model:value="type"
/>
</div>
</div>
</div>
</template>
<script>
import {
DxChart,
DxSeries,
DxArgumentAxis,
DxCommonSeriesSettings,
DxExport,
DxGrid,
DxMargin,
DxLegend,
DxTitle,
DxSubtitle,
DxTooltip
} from 'devextreme-vue/chart';
import DxSelectBox from 'devextreme-vue/select-box';
import service from './data.js';
export default {
components: {
DxSelectBox,
DxChart,
DxSeries,
DxArgumentAxis,
DxCommonSeriesSettings,
DxExport,
DxGrid,
DxMargin,
DxLegend,
DxTitle,
DxSubtitle,
DxTooltip
},
data() {
return {
dataSource: service.getCountriesInfo(),
energySources: service.getEnergySources(),
types: ['line', 'stackedline', 'fullstackedline'],
type: 'line'
};
}
};
</script>
<style>
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.option {
margin-top: 10px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option > span {
margin-right: 14px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
const energySources = [
{ value: 'hydro', name: 'Hydro-electric' },
{ value: 'oil', name: 'Oil' },
{ value: 'gas', name: 'Natural gas' },
{ value: 'coal', name: 'Coal' },
{ value: 'nuclear', name: 'Nuclear' }
];
const countriesInfo = [{
country: 'USA',
hydro: 59.8,
oil: 937.6,
gas: 582,
coal: 564.3,
nuclear: 187.9
}, {
country: 'China',
hydro: 74.2,
oil: 308.6,
gas: 35.1,
coal: 956.9,
nuclear: 11.3
}, {
country: 'Russia',
hydro: 40,
oil: 128.5,
gas: 361.8,
coal: 105,
nuclear: 32.4
}, {
country: 'Japan',
hydro: 22.6,
oil: 241.5,
gas: 64.9,
coal: 120.8,
nuclear: 64.8
}, {
country: 'India',
hydro: 19,
oil: 119.3,
gas: 28.9,
coal: 204.8,
nuclear: 3.8
}, {
country: 'Germany',
hydro: 6.1,
oil: 123.6,
gas: 77.3,
coal: 85.7,
nuclear: 37.8
}];
export default {
getEnergySources() {
return energySources;
},
getCountriesInfo() {
return countriesInfo;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-vue': 'npm:devextreme-vue@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});